@import "~@/assets/sass/theme.sass"

.form
  display: flex
  flex-direction: column
  min-height: 450px
  background-color: #FFFFFF
  border-radius: 5px
  padding: 24px 20px
  @media (max-width: $mobile-bp)
    padding: 16px 24px
    min-height: 500px
  &-header
    padding-bottom: 16px
    border-bottom: 1px solid #0066FF
    font-weight: 500
    font-size: 24px
    line-height: 28px
    color: #024DBD
    @media (max-width: $mobile-bp)
      padding-bottom: 10px
      font-size: 20px
      line-height: 23px
  &-main
    flex: 1 1 auto
    padding: 24px 0
    display: grid
    grid-template-columns: 1fr 1fr
    grid-auto-rows: min-content
    grid-gap: 30px
    @media (max-width: $mobile-bp)
      grid-template-columns: 1fr
      grid-row-gap: 20px
      padding: 20px 0 40px 0
  &-footer
    padding: 24px 0
    display: flex
    align-items: center
    justify-content: space-between
    @media (max-width: $mobile-bp)
      padding: 40px 0
    &__btn
      display: flex
      user-select: none
      text-align: center
      padding: 16px 50px
      border-radius: 5px
      font-weight: normal
      font-size: 12px
      line-height: 18px
      text-transform: uppercase
      cursor: pointer
      border: 1px solid transparent
      @media (max-width: $mobile-s-bp)
        padding: 16px 36px
      &.blue
        background-color: #0033CC
        color: #FFFFFF
        margin-left: auto
      &.white
        color: #0033CC
        border-color: #0033CC
      &.disabled
        cursor: not-allowed
        background-color: grey
.form-group
  display: flex
  flex-direction: column
  &-phone
    display: grid
    grid-template-columns: 50px 1fr
    grid-column-gap: 8px
  &__label, label
    font-weight: normal
    font-size: 10px
    line-height: 15px
    color: #8D8D8D
    margin-bottom: 4px
  &__input, input
    position: relative
    display: flex
    height: 40px
    padding: 12px
    width: 100%
    border-radius: 5px
    border: 1px solid #ADADAD
    outline: none
    font-size: 10px
    line-height: 15px
    color: #8D8D8D
    &:hover, &:focus
      border-color: #0099FF
    &.arrow
      &::after
        content: ''
        position: absolute
        right: 12px
        top: 50%
        transform: translateY(-50%)
        width: 19px
        height: 19px
        mask: url("~@/assets/images/arrow_down.svg") no-repeat center / contain
        background-color: #8D8D8D
      &:hover, &:focus
        &::after
          background-color: #0099ff


::v-deep .v-popover
  &.open
    .form-group__input
      border-color: #0099FF
      &.arrow
        &::after
          background-color: #0099FF
          transform: rotate(180deg) translateY(50%)
